Bug 478671 - sound not working (alsa is just a guess)
sound not working (alsa is just a guess)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-03 03:27 EST by Donald Cohen
Modified: 2009-03-17 09:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-17 09:22:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Donald Cohen 2009-01-03 03:27:27 EST
Description of problem:
I've just installed fedora 10 and I get no sound.
My test case is the sound preferences with the "test" buttons.

I do see a message in /var/log/messages:
'lib canberra-login-sound.desktop' failed to register before timeout
Whether this is a cause, effect or unrelated I don't know enough to tell.

Version-Release number of selected component (if applicable):
whatever comes with fedora 10:
$ uname -a
Linux number11.don-eve.dyndns.org 2.6.27.9-159.fc10.x86_64 #1 SMP Tue Dec 16 14:47:52 EST 2008 x86_64 x86_64 x86_64 GNU/Linux
alsa-lib.x86_64                           1.0.18-6.rc3.fc10            installed
alsa-lib-devel.x86_64                     1.0.18-6.rc3.fc10            installed
alsa-plugins-pulseaudio.x86_64            1.0.18-1.rc3.fc10            installed
alsa-utils.x86_64                         1.0.18-6.fc10                installed
libcanberra.x86_64                        0.10-2.fc10

lshw shows
             description: Audio device
             product: 82801I (ICH9 Family) HD Audio Controller
             vendor: Intel Corporation
             physical id: 1b
             bus info: pci@0000:00:1b.0
             version: 03
             width: 64 bits
             clock: 33MHz
             capabilities: pm msi pciexpress bus_master cap_list
             configuration: driver=HDA Intel latency=0 module=snd_hda_intel
Comment 1 Donald Cohen 2009-01-05 17:10:28 EST
by enabling repo fedora-rawhide and updating libcanberra
I got the failed to register message to go away, but sound still does not work.
BTW how do I undo that update?  I've now disabled fedora-rawhide.

Aside - I'm suspicious that yum update tells me there are no updates.
Is that really true?

Anyhow, some additional info - I've tried booting to a fedora 10 i686 live dvd
and sound works there!  I saved /var/log/messages from that boot and am now 
trying to see what's different between that and the one from my installation.
Of course, one difference is the x64.  I wonder whether that's related.
If you can tell me what to look for I'll do it.  Or I could just upload the
two versions as attachments.

So far I see little about audio there, but here are a few of some interest:
livecd:
Jan  5 20:03:56 localhost pulseaudio[3684]: main.c: Called SUID root and real-time/high-priority scheduling was requested in the configuration. However, we lack the necessary privileges:
Jan  5 20:03:56 localhost pulseaudio[3684]: main.c: We are not in group 'pulse-rt' and PolicyKit refuse to grant us privileges. Dropping SUID again.
Jan  5 20:03:56 localhost pulseaudio[3684]: main.c: For enabling real-time scheduling please acquire the appropriate PolicyKit privileges, or become a member of 'pulse-rt', or increase the RLIMIT_NICE/RLIMIT_RTPRIO resource limits for this user.
Jan  5 20:03:56 localhost pulseaudio[3684]: main.c: High-priority scheduling enabled in configuration but not allowed by policy.
Jan  5 20:03:56 localhost pulseaudio[3684]: core-util.c: setpriority(): Permission denied
Jan  5 20:04:01 localhost gnome-session[3387]: WARNING: Application 'libcanberra-login-sound.desktop' failed to register before timeout
Jan  5 20:04:08 localhost pulseaudio[3737]: pid.c: Daemon already running.


installed on hard drive:
Jan  5 12:10:59 number11 setroubleshoot: SELinux is preventing the ck-get-x11-serv from using potentially mislabeled files (./.Xauthority). For complete SELinux messages. run sealert -l 465176e3-65d9-43d6-b5d3-479a98896fde
Jan  5 12:11:00 number11 setroubleshoot: SELinux is preventing the ck-get-x11-serv from using potentially mislabeled files (/root/.Xauthority). For complete SELinux messages. run sealert -l b354191d-2547-41ef-9688-ff1e03ed6856
Jan  5 12:11:07 number11 pulseaudio[3048]: pid.c: Stale PID file, overwriting.
Comment 2 Donald Cohen 2009-01-30 21:46:06 EST
Sound suddenly works, after yum update, which updated:
Jan 30 17:32:20 Updated: audit-libs-1.7.11-2.fc10.x86_64
Jan 30 17:32:24 Updated: xine-lib-1.1.16.1-1.fc10.x86_64
Jan 30 17:32:31 Updated: libpurple-2.5.4-1.fc10.x86_64
Jan 30 17:32:35 Updated: util-linux-ng-2.14.1-3.2.fc10.x86_64
Jan 30 17:32:36 Updated: ntpdate-4.2.4p6-1.fc10.x86_64
Jan 30 17:32:36 Updated: exempi-2.1.0-1.fc10.x86_64
Jan 30 17:32:40 Updated: gegl-0.0.22-1.fc10.x86_64
Jan 30 17:32:44 Updated: ntp-4.2.4p6-1.fc10.x86_64
Jan 30 17:32:46 Updated: 1:nfs-utils-1.1.4-7.fc10.x86_64
Jan 30 17:33:05 Updated: pidgin-2.5.4-1.fc10.x86_64
Jan 30 17:33:07 Updated: xine-lib-pulseaudio-1.1.16.1-1.fc10.x86_64
Jan 30 17:33:08 Updated: audit-1.7.11-2.fc10.x86_64
Jan 30 17:33:08 Updated: audit-libs-python-1.7.11-2.fc10.x86_64
Jan 30 17:33:09 Updated: rsync-3.0.5-1.fc10.x86_64
Jan 30 17:33:19 Updated: gstreamer-plugins-good-0.10.11-4.fc10.x86_64
Jan 30 17:33:20 Updated: alsa-utils-1.0.19-1.fc10.x86_64
Jan 30 17:33:21 Updated: nspluginwrapper-1.3.0-2.fc10.x86_64
Jan 30 17:33:22 Updated: kernel-firmware-2.6.27.12-170.2.5.fc10.noarch
Jan 30 17:33:38 Updated: selinux-policy-3.5.13-40.fc10.noarch
Jan 30 17:34:00 Updated: selinux-policy-targeted-3.5.13-40.fc10.noarch
Jan 30 17:34:04 Updated: sos-1.8-9.fc10.noarch
Jan 30 17:34:25 Installed: kernel-devel-2.6.27.12-170.2.5.fc10.x86_64
Jan 30 17:34:28 Updated: kernel-headers-2.6.27.12-170.2.5.fc10.x86_64
Jan 30 17:34:32 Updated: tzdata-2009a-1.fc10.noarch
Jan 30 17:34:34 Updated: tzdata-java-2009a-1.fc10.noarch
Jan 30 17:35:00 Installed: kernel-2.6.27.12-170.2.5.fc10.x86_64
Jan 30 17:35:00 Updated: PackageKit-yum-0.3.13-1.fc10.x86_64
Jan 30 17:35:01 Updated: PackageKit-yum-plugin-0.3.13-1.fc10.x86_64
Jan 30 17:35:01 Updated: PackageKit-glib-0.3.13-1.fc10.x86_64
Jan 30 17:35:02 Updated: PackageKit-gstreamer-plugin-0.3.13-1.fc10.x86_64
Jan 30 17:35:04 Updated: PackageKit-0.3.13-1.fc10.x86_64
Jan 30 17:35:18 Updated: gnome-packagekit-0.3.13-1.fc10.x86_64
Jan 30 17:35:20 Updated: PackageKit-udev-helper-0.3.13-1.fc10.x86_64
Jan 30 17:35:48 Installed: kernel-2.6.27.12-170.2.5.fc10.x86_64

Note You need to log in before you can comment on or make changes to this bug.